Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform.powerassert
[Java] Class TruthExpressionRewriter

    java.lang.Object
      org.codehaus.groovy.transform.powerassert.TruthExpressionRewriter

All Implemented Interfaces:
  GroovyCodeVisitor

    public class TruthExpressionRewriter
    extends Object

Rewrites the truth expression of an assertion statement. Implements GroovyCodeVisitor rather than extending from CodeVisitorSupport to make sure that all kinds of expressions are handled.

Authors:
  Peter Niederwieser

Method Summary
`static Expression` | `rewrite(Expression truthExpr, SourceText sourceText, AssertionRewriter assertionRewriter)`
`void` | `visitArgumentlistExpression(ArgumentListExpression expr)`
`void` | `visitArrayExpression(ArrayExpression expr)`
`void` | `visitAssertStatement(AssertStatement stat)`
`void` | `visitAttributeExpression(AttributeExpression expr)`
`void` | `visitBinaryExpression(BinaryExpression expr)`
`void` | `visitBitwiseNegationExpression(BitwiseNegationExpression expr)`
`void` | `visitBlockStatement(BlockStatement stat)`
`void` | `visitBooleanExpression(BooleanExpression expr)`
`void` | `visitBreakStatement(BreakStatement stat)`
`void` | `visitBytecodeExpression(BytecodeExpression expr)`
`void` | `visitCaseStatement(CaseStatement stat)`
`void` | `visitCastExpression(CastExpression expr)`
`void` | `visitCatchStatement(CatchStatement stat)`
`void` | `visitClassExpression(ClassExpression expr)`
`void` | `visitClosureExpression(ClosureExpression expr)`
`void` | `visitClosureListExpression(ClosureListExpression expr)`
`void` | `visitConstantExpression(ConstantExpression expr)`
`void` | `visitConstructorCallExpression(ConstructorCallExpression expr)`
`void` | `visitContinueStatement(ContinueStatement stat)`
`void` | `visitDeclarationExpression(DeclarationExpression expr)`
`void` | `visitDoWhileLoop(DoWhileStatement stat)`
`void` | `visitExpressionStatement(ExpressionStatement stat)`
`void` | `visitFieldExpression(FieldExpression expr)`
`void` | `visitForLoop(ForStatement stat)`
`void` | `visitGStringExpression(GStringExpression expr)`
`void` | `visitIfElse(IfStatement stat)`
`void` | `visitListExpression(ListExpression expr)`
`void` | `visitMapEntryExpression(MapEntryExpression expr)`
`void` | `visitMapExpression(MapExpression expr)`
`void` | `visitMethodCallExpression(MethodCallExpression expr)`
`void` | `visitMethodPointerExpression(MethodPointerExpression expr)`
`void` | `visitNotExpression(NotExpression expr)`
`void` | `visitPostfixExpression(PostfixExpression expr)`
`void` | `visitPrefixExpression(PrefixExpression expr)`
`void` | `visitPropertyExpression(PropertyExpression expr)`
`void` | `visitRangeExpression(RangeExpression expr)`
`void` | `visitRegexExpression(RegexExpression expr)`
`void` | `visitReturnStatement(ReturnStatement stat)`
`void` | `visitShortTernaryExpression(ElvisOperatorExpression expr)`
`void` | `visitSpreadExpression(SpreadExpression expr)`
`void` | `visitSpreadMapExpression(SpreadMapExpression expr)`
`void` | `visitStaticMethodCallExpression(StaticMethodCallExpression expr)`
`void` | `visitSwitch(SwitchStatement stat)`
`void` | `visitSynchronizedStatement(SynchronizedStatement stat)`
`void` | `visitTernaryExpression(TernaryExpression expr)`
`void` | `visitThrowStatement(ThrowStatement stat)`
`void` | `visitTryCatchFinally(TryCatchStatement stat)`
`void` | `visitTupleExpression(TupleExpression expr)`
`void` | `visitUnaryMinusExpression(UnaryMinusExpression expr)`
`void` | `visitUnaryPlusExpression(UnaryPlusExpression expr)`
`void` | `visitVariableExpression(VariableExpression expr)`
`void` | `visitWhileLoop(WhileStatement stat)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### rewrite

    public static Expression rewrite(Expression truthExpr, SourceText sourceText, AssertionRewriter assertionRewriter)

### visitArgumentlistExpression

    @SuppressWarnings("unchecked")
    public void visitArgumentlistExpression(ArgumentListExpression expr)

### visitArrayExpression

    @SuppressWarnings("unchecked")
    public void visitArrayExpression(ArrayExpression expr)

### visitAssertStatement

    public void visitAssertStatement(AssertStatement stat)

### visitAttributeExpression

    public void visitAttributeExpression(AttributeExpression expr)

### visitBinaryExpression

    public void visitBinaryExpression(BinaryExpression expr)

### visitBitwiseNegationExpression

    public void visitBitwiseNegationExpression(BitwiseNegationExpression expr)

### visitBlockStatement

    public void visitBlockStatement(BlockStatement stat)

### visitBooleanExpression

    public void visitBooleanExpression(BooleanExpression expr)

### visitBreakStatement

    public void visitBreakStatement(BreakStatement stat)

### visitBytecodeExpression

    public void visitBytecodeExpression(BytecodeExpression expr)

### visitCaseStatement

    public void visitCaseStatement(CaseStatement stat)

### visitCastExpression

    public void visitCastExpression(CastExpression expr)

### visitCatchStatement

    public void visitCatchStatement(CatchStatement stat)

### visitClassExpression

    public void visitClassExpression(ClassExpression expr)

### visitClosureExpression

    public void visitClosureExpression(ClosureExpression expr)

### visitClosureListExpression

    public void visitClosureListExpression(ClosureListExpression expr)

### visitConstantExpression

    public void visitConstantExpression(ConstantExpression expr)

### visitConstructorCallExpression

    public void visitConstructorCallExpression(ConstructorCallExpression expr)

### visitContinueStatement

    public void visitContinueStatement(ContinueStatement stat)

### visitDeclarationExpression

    public void visitDeclarationExpression(DeclarationExpression expr)

### visitDoWhileLoop

    public void visitDoWhileLoop(DoWhileStatement stat)

### visitExpressionStatement

    public void visitExpressionStatement(ExpressionStatement stat)

### visitFieldExpression

    public void visitFieldExpression(FieldExpression expr)

### visitForLoop

    public void visitForLoop(ForStatement stat)

### visitGStringExpression

    @SuppressWarnings("unchecked")
    public void visitGStringExpression(GStringExpression expr)

### visitIfElse

    public void visitIfElse(IfStatement stat)

### visitListExpression

    @SuppressWarnings("unchecked")
    public void visitListExpression(ListExpression expr)

### visitMapEntryExpression

    public void visitMapEntryExpression(MapEntryExpression expr)

### visitMapExpression

    @SuppressWarnings("unchecked")
    public void visitMapExpression(MapExpression expr)

### visitMethodCallExpression

    public void visitMethodCallExpression(MethodCallExpression expr)

### visitMethodPointerExpression

    public void visitMethodPointerExpression(MethodPointerExpression expr)

### visitNotExpression

    public void visitNotExpression(NotExpression expr)

### visitPostfixExpression

    public void visitPostfixExpression(PostfixExpression expr)

### visitPrefixExpression

    public void visitPrefixExpression(PrefixExpression expr)

### visitPropertyExpression

    public void visitPropertyExpression(PropertyExpression expr)

### visitRangeExpression

    public void visitRangeExpression(RangeExpression expr)

### visitRegexExpression

    @Deprecated
    public void visitRegexExpression(RegexExpression expr)

### visitReturnStatement

    public void visitReturnStatement(ReturnStatement stat)

### visitShortTernaryExpression

    public void visitShortTernaryExpression(ElvisOperatorExpression expr)

### visitSpreadExpression

    public void visitSpreadExpression(SpreadExpression expr)

### visitSpreadMapExpression

    public void visitSpreadMapExpression(SpreadMapExpression expr)

### visitStaticMethodCallExpression

    public void visitStaticMethodCallExpression(StaticMethodCallExpression expr)

### visitSwitch

    public void visitSwitch(SwitchStatement stat)

### visitSynchronizedStatement

    public void visitSynchronizedStatement(SynchronizedStatement stat)

### visitTernaryExpression

    public void visitTernaryExpression(TernaryExpression expr)

### visitThrowStatement

    public void visitThrowStatement(ThrowStatement stat)

### visitTryCatchFinally

    public void visitTryCatchFinally(TryCatchStatement stat)

### visitTupleExpression

    @SuppressWarnings("unchecked")
    public void visitTupleExpression(TupleExpression expr)

### visitUnaryMinusExpression

    public void visitUnaryMinusExpression(UnaryMinusExpression expr)

### visitUnaryPlusExpression

    public void visitUnaryPlusExpression(UnaryPlusExpression expr)

### visitVariableExpression

    public void visitVariableExpression(VariableExpression expr)

### visitWhileLoop

    public void visitWhileLoop(WhileStatement stat)

Copyright © 2003-2010 The Codehaus. All rights reserved.